Bug 446387 - Produce bad output for ssh channels
Produce bad output for ssh channels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 08:57 EDT by Alexey Kuznetsov
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-05-14 08:57:48 EDT
Description of problem:
via ssh yum produce bad output like this:
(2/4): git-1.5.4.5-3.f  89% |  90% |========= |  38 kB/s | 3.3 MB     00:09 ETA
(2/4): git-1.5.4.5-3.f  90% |  90% |========= |  40 kB/s | 3.3 MB     00:08 ETA
(2/4): git-1.5.4.5-3.f  91% |  92% |========= |  46 kB/s | 3.3 MB     00:06 ETA
(2/4): git-1.5.4.5-3.f  92% |  93% |========= |  49 kB/s | 3.4 MB     00:05 ETA
(2/4): git-1.5.4.5-3.f  92% |  93% |========= |  50 kB/s | 3.4 MB     00:04 ETA
(2/4): git-1.5.4.5-3.f  93% |  94% |========= |  50 kB/s | 3.4 MB     00:04 ETA

i dont see that problem for fedora 8, and i have no problem for gnome-terminal.
Comment 1 James Antill 2008-05-14 11:33:05 EDT
 I'm assuming you tried this locally and then ssh'd, without changing anything?
(like the size of the terminal?)

 What does:

echo -ne 'abcd\rxyz\n' 

...display?
Comment 2 Alexey Kuznetsov 2008-05-14 12:33:53 EDT
[axet@home-laptop ~]$ echo -ne 'abcd\rxyz\n'
xyzd
[axet@home-laptop ~]$
Comment 3 Alexey Kuznetsov 2008-05-14 12:38:21 EDT
both...
Comment 4 Alexey Kuznetsov 2008-05-14 12:43:17 EDT
[axet@home-laptop ~]$ sudo echo -ne 'abcd\rxyz\n'
xyzd
[axet@home-laptop ~]$ sudo yum install quake3
Loaded plugins: refresh-packagekit
livna                                                    | 1.1 kB     00:00
fedora                                                   | 2.4 kB     00:00
lastfm-client                                            |  951 B     00:00
adobe-linux-i386                                         |  951 B     00:00
updates                                                  | 2.3 kB     00:00
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package quake3.i386 0:1.34-0.9.rc4.fc9 set to be updated
--> Processing Dependency: autodownloader for package: quake3
--> Processing Dependency: libopenal.so.0 for package: quake3
--> Running transaction check
---> Package autodownloader.noarch 0:0.2.0-6.fc9 set to be updated
---> Package openal.i386 0:0.0.9-0.15.20060204cvs.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 quake3                  i386       1.34-0.9.rc4.fc9  fedora            1.2 M
Installing for dependencies:
 autodownloader          noarch     0.2.0-6.fc9      fedora             23 k
 openal                  i386       0.0.9-0.15.20060204cvs.fc9  fedora
  147 k

Transaction Summary
=============================================================================
Install      3 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 1.3 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): autodownloader-   1% |  68% |======    |  0.0 B/s |  16 kB     --:-- ETA
(1/3): autodownloader-0.2.0-6.fc9.noarch.rpm             |  23 kB     00:00
(2/3): quake3-1.34-0.9   2% |   1% |          |  0.0 B/s |  16 kB     --:-- ETA
(2/3): quake3-1.34-0.9   4% |   3% |          |  37 kB/s |  40 kB     00:31 ETA
(2/3): quake3-1.34-0.9   6% |   5% |          |  39 kB/s |  64 kB     00:29 ETA
(2/3): quake3-1.34-0.9   8% |   7% |          |  43 kB/s |  96 kB     00:25 ETA
(2/3): quake3-1.34-0.9.rc4.fc9.i386.rpm                  | 112 kB     00:01
http://ftp.rhd.ru/pub/fedora/linux/releases/9/Everything/i386/os/Packages/quake3
-1.34-0.9.rc4.fc9.i386.rpm: [Errno 4] Socket Error: (4, 'Interrupted system call
')
Trying other mirror.
♥[axet@home-laptop ~]$
[axet@home-laptop ~]$
[axet@home-laptop ~]$
Comment 5 James Antill 2008-05-14 13:24:18 EDT
 So I've just tried:

1. local yum up, on HEAD of both yum/python-urlgrabber
2. local yum up, on Fed-9 of both yum/python-urlgrabber
3. ssh to localhost on both #1 and #2
4. ssh from Fed-9 to machine with HEAD

...in all cases the progress looked the same, in that I can get what you paste
above _only_ if I make my terminal 79x24 ... and then it happens in all four
cases (note that due to their being a blank space at the end of the progress
79x24 might look like it's just taking the correct width of the screen).

 There is an open BZ (bug 437197) about doing the right thing on small windows,
if you want to follow that.

 If you are 100% sure that your window works locally and so is 80+ chars, I'm
not sure what to suggest ... does the problem persist if you manually make the
window 85+ chars wide? I assume calling "urlgrabber <url>" also does the same thing?
 Does this happen to all the hosts you ssh to? What OS are you going from and to?
Comment 6 Alexey Kuznetsov 2008-05-15 06:20:03 EDT
that is not yum specific bug, look like bad new terminfo for my terminal.

top utility do not clean screen after exit.

[root@mini c]# set|grep TERM
TERM=cygwin
Comment 7 Miroslav Lichvar 2008-06-11 06:40:54 EDT
urlgrabber doesn't use terminfo, reassigning back.
Comment 8 James Antill 2008-06-11 10:21:44 EDT
 The latest version of urlgrabber in Fed-9 uses a dynamic sizing model, for
progress bars ... has this fixed it for you?
Comment 9 Alexey Kuznetsov 2008-06-11 15:14:04 EDT
after all updates and reboot i got same issue
Comment 10 Bug Zapper 2009-06-09 20:48:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 11:27:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.